import request from '@/utils/request'

// 查询设备物料信息列表
export function listMaterials(query) {
  return request({
    url: '/watch-api/materials/list',
    method: 'get',
    params: query
  })
}

// 查询设备物料信息详细
export function getMaterials(id) {
  return request({
    url: '/watch-api/materials/' + id,
    method: 'get'
  })
}

// 新增设备物料信息
export function addMaterials(data) {
  return request({
    url: '/watch-api/materials',
    method: 'post',
    data: data
  })
}

// 修改设备物料信息
export function updateMaterials(data) {
  return request({
    url: '/watch-api/materials',
    method: 'put',
    data: data
  })
}

// 删除设备物料信息
export function delMaterials(id) {
  return request({
    url: '/watch-api/materials/' + id,
    method: 'delete'
  })
}

// 导出设备物料信息
export function exportMaterials(query) {
  return request({
    url: '/watch-api/materials/export',
    method: 'get',
    params: query
  })
}